### Name: designMatrix
### Title: Class to Contain the Design Matrix that Used for Linear
###   Regression
### Aliases: designMatrix-class designMatrix class:designMatrix
###   getCovariates,designMatrix-method getDesign,designMatrix-method
###   getIntIndex,designMatrix-method getTarget,designMatrix-method
###   initialize,designMatrix-method show,designMatrix-method
### Keywords: classes

### ** Examples

data(eSetExample)
## One-way Anova
(design1<- new("designMatrix", target=pData(eSetExample), covariates = "Treatment"))

## Randomized block design
(design2<- new("designMatrix", target=pData(eSetExample), 
   covariates = c("Treatment", "Group")))

## Interaction design
(design3<- new("designMatrix", target=pData(eSetExample), 
   covariates = c("Treatment", "Group"), intIndex=c(1,2)))
   



